<DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="es" lang="es">
    <head>
        <title>Ejercicio con PDO</title>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    </head>
<body>
<?php

try
{
    $base = new PDO('mysql:host=127.0.0.1;dbname=_test','root','');
    $base->setAttribute(PDO::ATTR_ERRMBDE,PDO::ERRMBDE_EXCEPTION);
    
	$sql = "UPDATE Persona SET Nombre ='SÁNCHEZ', Edad = 33  WHERE Nombre ='LOPEZ'";
    // Modificación de los datos en la tabla Persona
    $nombre = $base->exec($sql);	
    echo "Número de personas modificadas:".$nombre;
}
catch(Exception $e)
{
    // mensaje en caso de error
    die('Error:'.$e->getMessage());
}

?>



</body>
</html>
